Bug 1858613 - ant breaks when bsf package is installed
Summary: ant breaks when bsf package is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ant
Version: 31
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Java Package Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-19 14:37 UTC by Nadav Har'El
Modified: 2020-09-25 16:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-05 18:31:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Nadav Har'El 2020-07-19 14:37:29 UTC
In the open-source project git@github.com:scylladb/scylla-tools-java there is a build.xml for ant. If I try to run "ant" in that directory I get an error:

BUILD FAILED
/home/nyh/scylla.maintainer/tools/java/build.xml:159: java.lang.ClassNotFoundException: org.apache.bsf.engines.javascript.JavaScriptEngine
	at java.net.URLClassLoader.findClass(URLClassLoader.java:382)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:352)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:351)
	at org.apache.bsf.BSFManager.loadScriptingEngine(BSFManager.java:696)
	at org.apache.bsf.BSFManager.exec(BSFManager.java:485)
	at org.apache.tools.ant.util.optional.ScriptRunner.executeScript(ScriptRunner.java:100)
...

Indeed this build.xml has a bunch of Javascript scripts in them, which it seems (I'm not an ant expert) aren't really used in a normal build, but is nevertheless there.

The really weird thing is that this this error message mentions "bsf", so I looked around and found that the "ant-apache-bsf" and "bsf" packages *are* installed on my system. But they don't include this missing JavaScriptEngine class in their jars. Ironically, the mere existence of these packages on my system is what causes these error messages: If I remove them (rpm -e --nodeps), either both of them or even just the "bsf" package, ant in that project begins to work again!

Comment 1 Fabio Valentini 2020-07-19 15:59:54 UTC
bsf is built without JavaScript support to reduce the number of dependencies it pulls in.
But if this breaks packages, we can reintroduce the rhino dependency to fix JavaScript support.

Comment 2 Fedora Update System 2020-08-28 13:54:22 UTC
FEDORA-2020-646f0191ec has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-646f0191ec

Comment 3 Fedora Update System 2020-08-28 13:56:05 UTC
FEDORA-2020-3acbb74579 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3acbb74579

Comment 4 Fedora Update System 2020-08-28 13:56:46 UTC
FEDORA-2020-eb1f853467 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-eb1f853467

Comment 5 Fedora Update System 2020-08-28 17:27:00 UTC
FEDORA-2020-646f0191ec has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-646f0191ec`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-646f0191ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-29 16:44:39 UTC
FEDORA-2020-eb1f853467 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-eb1f853467`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-eb1f853467

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-29 17:08:06 UTC
FEDORA-2020-3acbb74579 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3acbb74579`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3acbb74579

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-05 18:31:47 UTC
FEDORA-2020-3acbb74579 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-09-05 19:07:26 UTC
FEDORA-2020-eb1f853467 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-09-25 16:37:36 UTC
FEDORA-2020-646f0191ec has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.